%global xorg_server_version %(pkg-config --silence-errors --modversion xorg-server 2>/dev/null || echo 65536)

Name:           xorgxrdp
Version:        0.2.4
Release:        3%{?dist}
Summary:        Implementation of xrdp backend as Xorg modules

License:        MIT
URL:            https://github.com/neutrinolabs/xorgxrdp
Source0:        https://github.com/neutrinolabs/xorgxrdp/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nasm
BuildRequires:  xorg-x11-server-devel
BuildRequires:  xrdp-devel
%if 0%{?fedora} <= 24
BuildRequires:  libXfont-devel
%endif
%if 0%{?rhel} == 7
BuildRequires:  libXfont2-devel
%endif
Requires:       xorg-x11-server-Xorg%{_isa} = %{xorg_server_version}

%description
xorgxrdp is a set of X11 modules that make Xorg act as a backend for
xrdp. Xorg with xorgxrdp is the most advanced xrdp backend with support
for screen resizing and multiple monitors.

%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/X11/xrdp
%{_sysconfdir}/X11/xrdp/xorg.conf
%{_libdir}/xorg/modules/drivers/xrdpdev_drv.so
%{_libdir}/xorg/modules/input/xrdpkeyb_drv.so
%{_libdir}/xorg/modules/input/xrdpmouse_drv.so
%{_libdir}/xorg/modules/libxorgxrdp.so
%exclude %{_libdir}/xorg/modules/*.a
%exclude %{_libdir}/xorg/modules/*.la
%exclude %{_libdir}/xorg/modules/input/*.a
%exclude %{_libdir}/xorg/modules/input/*.la
%exclude %{_libdir}/xorg/modules/drivers/*.a
%exclude %{_libdir}/xorg/modules/drivers/*.la


%changelog
* Sat Sep 23 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.4-3
- Require xorg-x11-server-Xorg we built against

* Wed Sep 20 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.4-2
- Require libXfont2-devel on RHEL7 at build time

* Wed Sep 20 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.4-1
- Bump up to 0.2.4

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.3-1
- Bump up to 0.2.3

* Thu Jun 22 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.2-1
- Bump up to 0.2.2

* Thu Mar 30 2017 Bojan Smojver <bojan@rexursive.com> - 0.2.1-1
- Bump up to 0.2.1

* Thu Mar  9 2017 Pavel Roskin <plroskin@gmail.com> - 0.2.0-2
- Add build dependency on libXfont2-devel for f24

* Sun Mar  5 2017 Pavel Roskin <plroskin@gmail.com> - 0.2.0-1
- Package created
